component: Atx
metric: zoox::diag::EmptyMetric
namespace: zoox::atxpsu
faults:
  - id: 0
    name: RESERVED
    severity: ERROR
    description: ""
  - id: 1
    name: CAN_ERROR
    severity: INFO
    description: "Failure communicating with the CAN bus."
  - id: 2
    name: EFUSE_FET_BAD_FAULT
    severity: ERROR
    description: "eFuse faulted due to a bad FET."
    triggers_nogo: true
  - id: 3
    name: EFUSE_FET_SHORT_FAULT
    severity: ERROR
    description: "eFuse faulted due to a shorted FET."
    triggers_nogo: true
  - id: 4
    name: EFUSE_POWER_BAD_FAULT
    severity: ERROR
    description: "eFuse faulted due to bad power."
    triggers_nogo: true
  - id: 5
    name: EFUSE_OVERCURRENT_FAULT
    severity: ERROR
    description: "eFuse faulted due to an overcurrent event."
    triggers_nogo: true
  - id: 6
    name: EFUSE_UNDERVOLTAGE_FAULT
    severity: ERROR
    description: "eFuse faulted due to an undervoltage event."
    triggers_nogo: true
  - id: 7
    name: EFUSE_OVERVOLTAGE_FAULT
    severity: ERROR
    description: "eFuse faulted due to an overvoltage event."
    triggers_nogo: true
  - id: 8
    name: INA3221_I2C_ERROR
    severity: INFO
    description: "Unable to communicate with voltage/current monitor via I2C."
  - id: 9
    name: TMP102_I2C_ERROR
    severity: INFO
    description: "Unable to communicate with temperature sensor via I2C."
  - id: 10
    name: LTC4282_I2C_ERROR
    severity: INFO
    description: "Unable to communicate with eFuse via I2C."
  - id: 11
    name: EFUSE_OVERTEMP
    severity: ERROR
    description: "Power has been shut off because the eFuse is over the temperature limit."
    triggers_nogo: true
  - id: 12
    name: BOOST_OVERTEMP
    severity: ERROR
    description: "Power has been shut off because the boost converters are over the temperature limit."
    triggers_nogo: true
  - id: 13
    name: BUCK_OVERTEMP
    severity: ERROR
    description: "Power has been shut off because the buck converters are over the temperature limit."
    triggers_nogo: true
  - id: 14
    name: MCU_OVERTEMP
    severity: ERROR
    description: "Power has been shut off because the MCU is over the temperature limit."
    triggers_nogo: true
  - id: 15
    name: I2C_INIT_ERROR
    severity: WARNING
    description: "Unable to initialize the I2C bus."
  - id: 16
    name: VSB_MON_I2C_ERROR
    severity: INFO
    description: "Unable to communicate with System Bus Monitor via I2C."
  - id: 17
    name: RETURN_MON_I2C_ERROR
    severity: INFO
    description: "Unable to communicate with Return Current Monitor via I2C."
  - id: 18
    name: VSB_MON_OC_ERROR
    severity: WARNING
    description: "Power has been shut off due to a system bus output over current event."
  - id: 19
    name: VSB_MON_OV_ERROR
    severity: WARNING
    description: "Power has been shut off due to a system bus input over voltage event."
  - id: 20
    name: RETURN_MON_OC_ERROR
    severity: WARNING
    description: "Power has been shut off due to a return current over current event."
  - id: 21
    name: RETURN_CURRENT_MISMATCH
    severity: WARNING
    description: "Power has been shut off due return current not match fuse output current."
  - id: 22
    name: OVER_CURRENT_12V
    severity: WARNING
    description: "PSU 12V output current draw exceeds expected threshold."
  - id: 23
    name: OVER_CURRENT_5V
    severity: WARNING
    description: "PSU 5V output current draw exceeds expected threshold."
  - id: 24
    name: OVER_CURRENT_3V3
    severity: WARNING
    description: "PSU 3.3V output current draw exceeds expected threshold."
  - id: 25
    name: F025_12V_STEADY_STATE_LIMIT
    severity: WARNING
    description: "PSU 12V output current draw exceeds expected threshold for a long time. Shutting down."
  - id: 26
    name: CAN_INPUT_STALE
    severity: WARNING
    description: "PowerStatus, GeneralStatus, and FaultStatus missing from CAN Bus."


